import { Tab_2_PageAN, } from '../constants'
import { Tab_2_PageStateM, } from '../../models/stateModels'

export class Type
{
    setState: (state: Tab_2_PageStateM) => void
}

export class Tab_2_PageAC
{
    static setState(state: Tab_2_PageStateM)
    {
        return {
            type: Tab_2_PageAN.SET_STATE,
            payload: state,
        }
    }
}

var setState = function (state: Tab_2_PageStateM)
{
    return {
        type: Tab_2_PageAN.SET_STATE,
        payload: state,
    }
}

export default { setState, Tab_2_PageAC_2: Tab_2_PageAC }